dvb_mpeg_pes Struct Reference
Digital TV table parsing

MPEG PES data structure. More...

`#include <mpeg_pes.h>`

## Data Fields

union { |
uint32_t bitfield |
struct { |
uint32_t stream_id:8 |
uint32_t sync:24 |
} |
}; |
uint16_t | length
struct dvb_mpeg_pes_optional | optional []

## Detailed Description

MPEG PES data structure.

Parameters

  sync | 24 bits DVB_MPEG_PES
  stream_id | 8 bits PES Stream ID
  length | 16 bits PES packet length
  optional | Pointer to optional PES header

Definition at line 186 of file mpeg_pes.h.

## Field Documentation

## [union]

union { ... } dvb_mpeg_pes

## bitfield

uint32_t dvb_mpeg_pes::bitfield

Definition at line 188 of file mpeg_pes.h.

## length

uint16_t dvb_mpeg_pes::length

Definition at line 194 of file mpeg_pes.h.

## optional

struct dvb_mpeg_pes_optional dvb_mpeg_pes::optional[]

Definition at line 195 of file mpeg_pes.h.

## stream_id

uint32_t dvb_mpeg_pes::stream_id

Definition at line 190 of file mpeg_pes.h.

## sync

uint32_t dvb_mpeg_pes::sync

Definition at line 191 of file mpeg_pes.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/mpeg_pes.h